<?xml version="1.0" encoding="UTF-8"?>
<ApprovalProcess xmlns="http://soap.sforce.com/2006/04/metadata">
    <active>false</active>
    <allowRecall>true</allowRecall>
    <allowedSubmitters>
        <submitter>EchoStarSystemAdministrator</submitter>
        <type>role</type>
    </allowedSubmitters>
    <allowedSubmitters>
        <submitter>lee.hirsch@dish.com</submitter>
        <type>user</type>
    </allowedSubmitters>
    <allowedSubmitters>
        <submitter>shrese.rudd@dish.com</submitter>
        <type>user</type>
    </allowedSubmitters>
    <approvalPageFields>
        <field>Name</field>
        <field>Assigned_Project_Manger__c</field>
        <field>Capex__c</field>
        <field>Status__c</field>
    </approvalPageFields>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_MDU_Approval_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_SVP_Approved_Pending_Review_EVP</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>Director_of_Operations</name>
                <type>queue</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <label>1. Operations Director Approval</label>
        <name>Step_1_Operations_Director_Approval</name>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejection_by_the_SVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_Rejected_OPS_Director</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Step_3_Executive_Summary_MDU_Approved_by_the_VP_of_Sales</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>VP_Sales</name>
                <type>queue</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>In Review (VP Sales)</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Total_Capex__c</field>
                <operation>lessOrEqual</operation>
                <value>25000</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>GotoNextStep</ifCriteriaNotMet>
        <label>2. VP Approval (Standard Capex)</label>
        <name>Step_2_VP_Approval</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejected_by_the_EVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_Rejected_EVP_Sales</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Executive_Summary_MDU_Approved_by_EVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_EVP_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>VP_Sales</name>
                <type>queue</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.RecordType</field>
                <operation>equals</operation>
                <value>Exec Summary In Progress</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>In Review (VP Sales)</value>
            </criteriaItems>
            <criteriaItems>
                <field>Executive_Summary__c.Total_Capex__c</field>
                <operation>greaterOrEqual</operation>
                <value>25001</value>
            </criteriaItems>
        </entryCriteria>
        <ifCriteriaNotMet>ApproveRecord</ifCriteriaNotMet>
        <label>2. VP Approval (High Capex)</label>
        <name>Step_2_VP_Approval_CAPEX_Signatures</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Executive_Summary_MDU_Rejected_by_the_EVP</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Status_Rejected_EVP_Sales</name>
                <type>FieldUpdate</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <approvalStep>
        <allowDelegate>false</allowDelegate>
        <approvalActions>
            <action>
                <name>Step_4_Executive_Summary_MDU_Approved_by_the_SVP_EVP_of_Sales</name>
                <type>Alert</type>
            </action>
            <action>
                <name>Update_Status_Exec_Sum_Approved</name>
                <type>FieldUpdate</type>
            </action>
        </approvalActions>
        <assignedApprover>
            <approver>
                <name>Operations_Manager</name>
                <type>queue</type>
            </approver>
            <whenMultipleApprovers>FirstResponse</whenMultipleApprovers>
        </assignedApprover>
        <entryCriteria>
            <criteriaItems>
                <field>Executive_Summary__c.Status__c</field>
                <operation>equals</operation>
                <value>In Review (SVP/EVP)</value>
            </criteriaItems>
        </entryCriteria>
        <label>3. F.O. Mngr - Manual Signature - Upload</label>
        <name>X3_F_O_Mngr_Manual_Signature_Upload</name>
        <rejectBehavior>
            <type>RejectRequest</type>
        </rejectBehavior>
        <rejectionActions>
            <action>
                <name>Status_Rejected_SVP_EVP</name>
                <type>FieldUpdate</type>
            </action>
            <action>
                <name>Step_4_Executive_Summary_MDU_Rejected_by_the_SVP_EVP_of_Sales</name>
                <type>Alert</type>
            </action>
        </rejectionActions>
    </approvalStep>
    <description>Used by the front office to seek VP/EVP approval for MDU Direct deals.</description>
    <enableMobileDeviceAccess>false</enableMobileDeviceAccess>
    <entryCriteria>
        <criteriaItems>
            <field>Executive_Summary__c.RecordType</field>
            <operation>equals</operation>
            <value>Exec Summary In Progress</value>
        </criteriaItems>
        <criteriaItems>
            <field>Executive_Summary__c.Status__c</field>
            <operation>equals</operation>
            <value>In Review (F.O. Manager)</value>
        </criteriaItems>
    </entryCriteria>
    <finalApprovalActions>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </finalApprovalActions>
    <finalApprovalRecordLock>true</finalApprovalRecordLock>
    <finalRejectionActions>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </finalRejectionActions>
    <finalRejectionRecordLock>true</finalRejectionRecordLock>
    <initialSubmissionActions>
        <action>
            <name>Initial_Executive_Summary_MDU_Notify_the_Director_of_OPS</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_In_Review_OPS_Director</name>
            <type>FieldUpdate</type>
        </action>
    </initialSubmissionActions>
    <label>FO MDU Executive Summary Apprvl Process</label>
    <processOrder>1</processOrder>
    <recallActions>
        <action>
            <name>Executive_Summary_MDU_Recall</name>
            <type>Alert</type>
        </action>
        <action>
            <name>Status_Recalled</name>
            <type>FieldUpdate</type>
        </action>
        <action>
            <name>Update_Record_Type_Closed</name>
            <type>FieldUpdate</type>
        </action>
    </recallActions>
    <recordEditability>AdminOrCurrentApprover</recordEditability>
    <showApprovalHistory>true</showApprovalHistory>
</ApprovalProcess>
